
GammaLib - Feature #1798

Add SIN projection

06/20/2016 03:15 PM - Mayer Michael

Status: Closed Start date: 06/20/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.1.0   

Description

I have downloaded a FITS Map and had to find out I cannot use it as a template for my analysis since it uses the "SIN" projection.

Could we add the SIN projection to the supported WCSs to gammalib?

RuntimeError: *** ERROR in GSkyMap::alloc_wcs(GFitsImage*): Invalid World Coordinate System code (SIN). Projection code not

 known. Should be one of STG/TAN/MOL/MER/CAR/AZP/AIT.

History

#1 - 06/20/2016 04:10 PM - Knödlseder Jürgen

- Target version set to 1.1.0

Will do.

#2 - 06/21/2016 03:45 PM - Knödlseder Jürgen

- Status changed from New to Closed

- % Done changed from 0 to 100

Done and merged into devel.

#3 - 06/21/2016 03:46 PM - Mayer Michael

Thanks!
